Subject: RE: forking vim gui
From: [email-masked] (Sergey Okhapkin)

11 Oct 1997 05:30:07 -0700
Message-ID: <01BCD632.343FDA40.cygnus.gnu-win32@sos>
To: GNU Win 32 <[email-masked]>,
        "'Colman Curtin'"
	 <[email-masked]>

Colman Curtin wrote:
> folks
> Having successfully compiled my fav editor vim a while back.
> How come when I launch it as 'gvim' or 'vim -g' which causes vim to fork 
the
> gui version I get an exception.
> However if I launch it as 'vim -g -f' which launches the gui but doesn't
> return to the shell it work fine.
> But if I launch it as above but use bash to background it 'vim -g -f &' 
it all
> works fine and I get bash back?
>
> vim5.0m, Sergey's latest dll and bash, win95 16MB
>
> any ideas?

It's a bug of cygwin - .bss/.data sections of dll's are not copied to a 
child on fork(). Someone in this list wrote about related fixes he made, 
but I never saw the fixes itself :-(

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".